import { MenuItemList } from "../type/IndexType";
import { computed, observable } from "mobx";

/**
 * @description 좌측메뉴리스트 json 설정
 */
class IndexStore {
  @observable leftMenuList: Array<MenuItemList> = [
    {
      id: 2,
      url: "/",
      parentid: 0,
      text: "위치추적 & 통신",
      subtext: "Tracking & Communications",
      depth: 1,
      visible: true,
      icon: "laptop",
      child: [
        {
          id: 21,
          url: "/tracking/mapview",
          parentid: 2,
          icon: "fa fa-group",
          text: "U/G Tracking",
          subtext: "U/G Tracking",
          depth: 3,
          visible: true,
          child: [],
        },
        {
          id: 22,
          url: "/tracking/mapview",
          parentid: 2,
          icon: "fa fa-group",
          text: "U/G Proximity",
          subtext: "U/G Proximity",
          depth: 3,
          visible: true,
          child: [],
        },
        {
          id: 23,
          url: "/",
          parentid: 2,
          icon: "fa fa-group",
          text: "VoIP",
          subtext: "VoIP",
          depth: 3,
          visible: true,
          child: [],
        },
      ],
    },
    {
      id: 3,
      url: "/",
      parentid: 0,
      text: "채광환경 제어",
      subtext: "Mining Environment",
      depth: 1,
      visible: true,
      icon: "area-chart",
      child: [
        {
          id: 32,
          url: "/",
          parentid: 3,
          icon: "fa fa-group",
          text: "Microseismic",
          subtext: "Microseismic",
          depth: 2,
          visible: true,
          child: [
            {
              id: 321,
              url: "/environment/microseismic-realtime",
              parentid: 32,
              icon: "fa fa-group",
              text: "실시간 미소진동 모니터링",
              subtext: "실시간 미소진동 모니터링",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 322,
              url: "/environment/microseismic-analysis",
              parentid: 32,
              icon: "fa fa-group",
              text: "일자별 미소진동 분석",
              subtext: "일자별 미소진동 분석",
              depth: 3,
              visible: true,
              child: [],
            },
          ],
        },
        {
          id: 33,
          url: "/",
          parentid: 3,
          icon: "fa fa-group",
          text: "Ground Control",
          subtext: "Ground Control",
          depth: 2,
          visible: true,
          child: [
            {
              id: 330,
              url: "/environment/sensors-map#ground-control",
              parentid: 33,
              icon: "fa fa-group",
              text: "Monitoring Sensors Map",
              subtext: "Monitoring Sensors Map",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 331,
              url: "/environment/ground-realtime",
              parentid: 33,
              icon: "fa fa-group",
              text: "실시간 지반변위 모니터링",
              subtext: "실시간 지반변위 모니터링",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 332,
              url: "/environment/ground-analysis",
              parentid: 33,
              icon: "fa fa-group",
              text: "기간별 지반변위 분석",
              subtext: "기간별 지반변위 분석",
              depth: 3,
              visible: true,
              child: [],
            },
          ],
        },
        {
          id: 34,
          url: "/",
          parentid: 3,
          icon: "fa fa-group",
          text: "DPM",
          subtext: "DPM",
          depth: 2,
          visible: true,
          child: [
            {
              id: 340,
              url: "/environment/sensors-map#dpm",
              parentid: 34,
              icon: "fa fa-group",
              text: "Monitoring Sensors Map",
              subtext: "Monitoring Sensors Map",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 341,
              url: "/environment/dpm-realtime",
              parentid: 34,
              icon: "fa fa-group",
              text: "실시간 DPM 모니터링",
              subtext: "실시간 DPM 모니터링",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 342,
              url: "/environment/dpm-analysis",
              parentid: 34,
              icon: "fa fa-group",
              text: "일자별 DPM 분석",
              subtext: "일자별 DPM 분석",
              depth: 3,
              visible: true,
              child: [],
            },
          ],
        },
        {
          id: 35,
          url: "/",
          parentid: 3,
          icon: "fa fa-group",
          text: "Gas",
          subtext: "Gas",
          depth: 2,
          visible: true,
          child: [
            {
              id: 350,
              url: "/environment/sensors-map#gas",
              parentid: 35,
              icon: "fa fa-group",
              text: "Monitoring Sensors Map",
              subtext: "Monitoring Sensors Map",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 351,
              url: "/environment/gas-realtime",
              parentid: 35,
              icon: "fa fa-group",
              text: "실시간 유해가스 모니터링",
              subtext: "실시간 유해가스 모니터링",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 352,
              url: "/environment/gas-analysis",
              parentid: 35,
              icon: "fa fa-group",
              text: "일자별 유해가스 분석",
              subtext: "일자별 유해가스 분석",
              depth: 3,
              visible: true,
              child: [],
            },
          ],
        },
      ],
    },
    {
      id: 4,
      url: "/",
      parentid: 0,
      text: "광산운영 & 생산",
      subtext: "Operations & Production",
      depth: 1,
      visible: true,
      icon: "info",
      child: [
        {
          id: 41,
          url: "/",
          parentid: 4,
          icon: "fa fa-group",
          text: "Production",
          subtext: "Production",
          depth: 2,
          visible: true,
          child: [
            {
              id: 411,
              url: "/production/planning",
              parentid: 41,
              icon: "fa fa-group",
              text: "생산 계획 관리",
              subtext: "",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 412,
              url: "/production/weighbridge-realtime",
              parentid: 41,
              icon: "fa fa-group",
              text: "실시간 생산&구매 실적",
              subtext: "",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 413,
              url: "/production/weighbridge-analysis",
              parentid: 41,
              icon: "fa fa-group",
              text: "일자별 생산&구매 실적",
              subtext: "",
              depth: 3,
              visible: true,
              child: [],
            },
          ],
        },
        {
          id: 42,
          url: "/",
          parentid: 4,
          icon: "fa fa-group",
          text: "Grade Control",
          subtext: "Grade Control",
          depth: 2,
          visible: true,
          child: [
            {
              id: 421,
              url: "/production/grade-control-realtime",
              parentid: 42,
              icon: "fa fa-group",
              text: "실시간 품위 분석",
              subtext: "",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 422,
              url: "/production/grade-control-analysis",
              parentid: 42,
              icon: "fa fa-group",
              text: "일자별 품위 분석 로그",
              subtext: "",
              depth: 3,
              visible: true,
              child: [],
            },
          ],
        },
        {
          id: 43,
          url: "/",
          parentid: 42,
          icon: "fa fa-group",
          text: "Equipment & Vehicle",
          subtext: "Equipment & Vehicle",
          depth: 3,
          visible: true,
          child: [],
        },
        {
          id: 44,
          url: "/",
          parentid: 42,
          icon: "fa fa-group",
          text: "3D Visualization",
          subtext: "3D Visualization",
          depth: 3,
          visible: true,
          child: [],
        },
      ],
    },
    {
      id: 5,
      url: "/",
      parentid: 0,
      text: "통합분석 & 성과",
      subtext: "Analytics & KPI",
      depth: 1,
      visible: true,
      icon: "eye",
      child: [
        {
          id: 51,
          url: "/",
          parentid: 5,
          icon: "fa fa-group",
          text: "Productivity & Safety",
          subtext: "Productivity & Safety",
          depth: 2,
          visible: true,
          child: [
            {
              id: 511,
              url: "/",
              parentid: 51,
              icon: "fa fa-group",
              text: "Cash Cost",
              subtext: "위치추적 & 통신",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 512,
              url: "/",
              parentid: 51,
              icon: "fa fa-group",
              text: "OHS Statics",
              subtext: "위치추적 & 통신",
              depth: 3,
              visible: true,
              child: [],
            },
          ],
        },
        {
          id: 52,
          url: "/",
          parentid: 5,
          icon: "fa fa-group",
          text: "Ground Control",
          subtext: "위치추적 & 통신",
          depth: 2,
          visible: true,
          child: [
            {
              id: 521,
              url: "/analysis/microseismic",
              parentid: 52,
              icon: "fa fa-group",
              text: "Microseismic Analysis",
              subtext: "위치추적 & 통신",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 522,
              url: "/",
              parentid: 52,
              icon: "fa fa-group",
              text: "Ground Displacement Analysis",
              subtext: "위치추적 & 통신",
              depth: 3,
              visible: true,
              child: [],
            },
          ],
        },
        {
          id: 53,
          url: "/",
          parentid: 5,
          icon: "fa fa-group",
          text: "Environment Analysis",
          subtext: "Environment Analysis",
          depth: 2,
          visible: true,
          child: [
            {
              id: 531,
              url: "/",
              parentid: 53,
              icon: "fa fa-group",
              text: "DPM Ventilation Scenario",
              subtext: "DPM Ventilation Scenario",
              depth: 3,
              visible: true,
              child: [],
            },
          ],
        },
        {
          id: 54,
          url: "/",
          parentid: 5,
          icon: "fa fa-group",
          text: "Equipment Performance Analysis",
          subtext: "위치추적 & 통신",
          depth: 2,
          visible: true,
          child: [
            {
              id: 541,
              url: "/",
              parentid: 54,
              icon: "fa fa-group",
              text: "Physical Availability",
              subtext: "위치추적 & 통신",
              depth: 3,
              visible: true,
              child: [],
            },
            {
              id: 542,
              url: "/",
              parentid: 54,
              icon: "fa fa-group",
              text: "Effective Utilization",
              subtext: "위치추적 & 통신",
              depth: 3,
              visible: true,
              child: [],
            },
          ],
        },
      ],
    },
    {
      id: 6,
      url: "/",
      parentid: 0,
      text: "통신 네트워크 관리",
      subtext: "Network Management",
      depth: 1,
      visible: true,
      icon: "eye",
      child: [
        {
          id: 61,
          url: "/network/list",
          parentid: 6,
          icon: "fa fa-group",
          text: "List",
          subtext: "위치추적 & 통신",
          depth: 3,
          visible: true,
          child: [],
        },
        {
          id: 62,
          url: "/",
          parentid: 6,
          icon: "fa fa-group",
          text: "Nodes and Links(Map View)",
          subtext: "위치추적 & 통신",
          depth: 3,
          visible: true,
          child: [],
        },
      ],
    },
    {
      id: 8,
      url: "/",
      parentid: 0,
      text: "마스터정보관리",
      subtext: "Admin",
      depth: 1,
      visible: true,
      icon: "eye",
      child: [
        {
          id: 81,
          url: "/admin/codemanage",
          parentid: 8,
          icon: "fa fa-group",
          text: "공통코드관리",
          subtext: "Codes",
          depth: 3,
          visible: true,
          child: [],
        },
        {
          id: 82,
          url: "/admin/usermanage",
          parentid: 8,
          icon: "fa fa-group",
          text: "사용자 관리",
          subtext: "Users",
          depth: 3,
          visible: true,
          child: [],
        },
      ],
    },
  ];

  @computed get getLeftMenuList() {
    return this.leftMenuList;
  }

  @observable TopButton = [
    {
      id: 1,
      url: "/dashboard/production",
      parentid: 0,
      text: "광석생산관리",
      depth: 1,
      visible: true,
      icon: "dashboard",
    },
    {
      id: 2,
      url: "/",
      parentid: 0,
      text: "인력ㆍ장비운영",
      depth: 1,
      visible: true,
      icon: "dashboard",
    },
    {
      id: 3,
      url: "/dashboard/tracking",
      parentid: 0,
      text: "위치추적",
      depth: 1,
      visible: true,
      icon: "dashboard",
    },
    {
      id: 4,
      url: "/dashboard/video",
      parentid: 0,
      text: "Video",
      depth: 1,
      visible: true,
      icon: "dashboard",
    },
  ];

  @computed get getTopButton() {
    return this.TopButton;
  }
}

export default IndexStore;
